import * as THREE from "three";
import { CameraFactory } from "../types";
import { ThreeComponent, ThreeSceneComponent } from "./base";
declare const Camera_base: import("vue-class-component/lib/declarations").VueClass<ThreeComponent & ThreeSceneComponent>;
export declare class Camera extends Camera_base {
    private name;
    private main;
    factory: CameraFactory;
    provideObject: () => THREE.Object3D;
    private m_isMain;
    private m_created;
    private m_camera;
    object(): THREE.Object3D;
    onChangeMain(): Promise<void>;
    onDeactivate(): void;
    onActivate(): Promise<void>;
    created(): Promise<void>;
    beforeDestroy(): void;
    render(h: any): any;
}
export {};
