import * as THREE from "three";
import { ThreeComponent, ThreeObjectComponent, ThreeSceneComponent } from "./base";
declare const Mesh_base: import("vue-class-component/lib/declarations").VueClass<ThreeComponent & ThreeSceneComponent & ThreeObjectComponent>;
export declare class Mesh extends Mesh_base {
    private name;
    private material;
    private geometry;
    private model;
    private provideObject;
    private m_mesh;
    private m_created;
    getObject(): THREE.Object3D;
    created(): Promise<void>;
    beforeDestroy(): void;
    render(h: any): any;
    private createMeshFromModel;
    private createMeshFromGeomAndMat;
}
export {};
