import { AssetType, AssetTypes } from "../types";
export declare class AssetManager {
    private textures;
    private materials;
    private geometries;
    private models;
    add(name: string, type: AssetTypes, asset: Promise<AssetType>): void;
    get(name: string, type: AssetTypes): Promise<AssetType> | undefined;
    remove(name: string, type: AssetTypes): void;
    private disposeAsset;
    private addToMap;
    private removeFromMap;
}
