import * as THREE from "three";
import { LightFactory } from "../types";
import { ThreeComponent, ThreeObjectComponent, ThreeSceneComponent } from "./base";
declare const Light_base: import("vue-class-component/lib/declarations").VueClass<ThreeComponent & ThreeSceneComponent & ThreeObjectComponent>;
export declare class Light extends Light_base {
    private name;
    factory: LightFactory;
    provideObject: () => THREE.Object3D;
    private m_light;
    private m_created;
    getObject(): THREE.Object3D;
    created(): Promise<void>;
    beforeDestroy(): void;
    render(h: any): any;
}
export {};
