import { ModelFactory } from "../types";
import { ThreeAssetComponent, ThreeComponent } from "./base";
declare const Model_base: import("vue-class-component/lib/declarations").VueClass<ThreeComponent & ThreeAssetComponent>;
export declare class Model extends Model_base {
    name: string;
    factory: ModelFactory;
    src: string;
    materials: string | string[];
    created(): Promise<void>;
    beforeDestroy(): Promise<void>;
    render(h: any): any;
    private overrideMaterials;
    private getMaterialPromises;
}
export {};
