import * as THREE from "three";
import { ThreeComponent } from "./base";
declare const Scene_base: import("vue-class-component/lib/declarations").VueClass<ThreeComponent>;
export declare class Scene extends Scene_base {
    name: string;
    active: boolean;
    provideScene: () => THREE.Scene | undefined;
    private m_isReady;
    private m_isActive;
    private m_scene?;
    getScene(): THREE.Scene | undefined;
    onChangeActive(): Promise<void>;
    onDeactivate(): Promise<void>;
    onActivate(): Promise<void>;
    private recursivePreload;
    preloadAssets(): Promise<void>;
    mounted(): void;
    beforeDestroy(): void;
    render(h: any): any;
}
export {};
