import * as THREE from "three";
export declare class InputManager {
    private keyStates;
    private previousKeyStates;
    private realKeyStates;
    private mouseStates;
    private previousMouseStates;
    private realMouseStates;
    mousePosition: THREE.Vector2;
    lastMousePosition: THREE.Vector2;
    private realMousePosition;
    mouseMoving: boolean;
    private realMouseMoving;
    constructor();
    private onKeyDown;
    private onKeyUp;
    private onMouseDown;
    private onMouseUp;
    private onMouseMove;
    dispose(): void;
    isReleased(combo: string): boolean;
    isPressed(combo: string): boolean;
    isDown(combo: string): boolean;
    update(): void;
    private checkCombo;
    private convertStringToKeyCode;
    private convertStringToButtonCode;
    private convertStringToCombo;
    private removeWhiteSpace;
    private stripWhiteSpace;
}
